#ifndef __SHARED_H
#define __SHARED_H

#include <sega_def.h>
#include <sega_scl.h>

#define BITMAP_PIXEL_WIDTH  320
#define BITMAP_PIXEL_HEIGHT 240
#define	NBG1_VDP2_VRAM_BASE_ADDR	SCL_VDP2_VRAM_B0
#define	C_RGB(r,g,b)		(((b)&0x1f)<<10|((g)&0x1f)<<5|((r)&0x1f)|0x8000)

#define		NBG1_CEL_ADR		( VDP2_VRAM_A1 + 0x02000 )
#define		NBG1_MAP_ADR		( VDP2_VRAM_B1 + 0x12000 )
#define		NBG1_COL_ADR		( VDP2_COLRAM + 0x00200 )
#define		BACK_COL_ADR		( VDP2_VRAM_A1 + 0x1fffe )
#define     SystemWork      0x060ffc00              /* System Variable Address */
#define     SystemSize      (0x06100000-0x060ffc00) /* System Variable Size */

extern Uint32   _bstart, _bend;
//typedef unsigned char byte;
static	void  FNT_Print1Char256_8x16(volatile Uint8 *vram,Uint8 code,
									Uint16 x,Uint16 y,Uint16 col,Uint16 back);
#endif
