#define FRAMESKIP 1
#include <string.h>
#include <stdio.h>
#include "main.h"
#include "../../saturn/shared.h"
#include <stdarg.h>
#include "svga.h" 

FCEUS FSettings;

#ifdef STDIOIFACE
int SpecialI=0;
#endif
//int srendlinev[2]={8,0};
int erendlinev[2]={231,239};
int srendline,erendline;
//static char color[4]={0,1,1,1};

void FCEUD_PrintError(char *s)
{	 
//    FNT_Print256_2bpp((volatile Uint8 *)SCL_VDP2_VRAM_B0,
//    (Uint8 *)s,20,20,color);
}

void FCEU_printf(char *format, ...)
{
    char temp[2048];
    va_list ap;
    
    va_start(ap,format);
    vsprintf(temp,format,ap);
    FCEUD_Message(temp);
    va_end(ap);
}

void FCEU_PrintError(char *format, ...)
{
    char temp[2048];
    va_list ap;
    
    va_start(ap,format);
    vsprintf(temp,format,ap);
    FCEUD_PrintError(temp);
    va_end(ap);
}

void FCEUD_Message(char *s)
{
//    FNT_Print256_2bpp((volatile Uint8 *)SCL_VDP2_VRAM_B0,
//    (Uint8 *)s,20,10,color);	
}

int DoGameLoad(char *path)
{
    if(!(FCEUI_LoadGame(path)))
        return 0;
    else
        return 1;
}

void CLImain()
{
    FCEU_ResetVidSys();
    WritePalette();     
	FCEUI_SetNTSCTH(0, 56, 72);

	(void)DoGameLoad("SNOWBROS.NES");
	EmLoop();	
}
